//\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// Illumino Project by Io Flament (illumino.eeg@gmail.com), in collaboration with Kurt Olsen 
// This code is licensed under Creative Commons Attribution-Non-Commercial-Share Alike 3.0 and GNU GPL license.
//\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/

//SERIAL STREAM DESCRIPTION ------------------------------------------------------------------------------------------
//The following info was obtained from the Neurosky mindset_communications_protocol.pdf document.
//----------------------------------------------------------------------------------------------------------------------------------
//SIGNAL QUALITY
//The signal quality is an unsigned one-byte integer whose value describes how poor the signal is.  It ranges in value from 0 to 200. 
//Any non-zero value indicates that some sort of noise contamination is detected.  The higher the number, the more noise is detected. 
//A value of 200 has a special meaning specifically that the EEG contacts are not touching the user's skin. This value is typically output every second. 
//For all the different types of eSenses (i.e. Attention, Meditation), the meter value is reported on a relative eSense scale of 1 to 100. 
//On this scale, a value between 40 to 60 at any given moment in time  is considered "neutral", and is similar in notion to "baselines" 
//that are established in conventional  EEG measurement techniques (though the method for determining a baseline is proprietary and may differ 
//from conventional EEG). A value from 60 to 80 is considered "slightly elevated", and may be interpreted as levels being possibly higher 
//than normal (levels of Attention or Meditation that may
//
//MEDITATION (RELAXATION)
//MEDITATION is an unsigned one-byte value that reports the current eSense Meditation meter of the user which indicates the level of a user's 
//mental "calmness" or "relaxation". Its value ranges from 0 to 100. Note that Meditation is a measure of a person's mental levels, not physical 
//levels, so simply relaxing all the muscles of the body may not immediately result in a heightened Meditation level.  However, for most people 
//in most normal circumstances, relaxing the body often helps the mind to relax as well. 
//Meditation is related to reduced activity by the active mental processes in the brain, and it has long been an observed effect that closing 
//one's eyes turns off the mental activities which process images from the eyes, so closing the eyes is often an effective method for increasing 
//the Meditation meter level. Distractions, wandering thoughts, anxiety, agitation, and sensory stimuli may lower the Meditation meter levels. 
//It is typically output once a second.
//
//ATTENTION
//ATTENTION is an unsigned one-byte value that reports the current eSense Attention meter of the user,  which indicates the intensity of a 
//user's level of mental "focus" or "attention", such as that which occurs  during intense concentration and directed (but stable) mental activity. 
//Its value ranges from 0 to 100.  Distractions, wandering thoughts, lack of focus, or anxiety may lower the Attention meter levels. 
//It is typically output once a second.
//
// The 'eegPowers' roughly indicate the following:
//  Delta (1-3Hz): sleep
//  Theta (4-7Hz): relaxed, meditative
//  Low Alpha (8-9Hz): eyes closed, relaxed
//  High Alpha (10-12Hz)
//  Low Beta (13-17Hz): alert, focused
//  High Beta (18-30Hz)
//  Low Gamma (31-40Hz): multi-sensory processing
//  High Gamma (41-50Hz)


/* Dataset 2
 
0,50,40,21439,49959,17185,6552,2525,7699,3906,2286
0,83,60,11566,10504,5141,5500,5273,5338,2258,2673
0,97,60,53284,12184,3913,5952,7634,10065,2216,3319
0,91,66,14440,19371,23981,14164,5325,3252,3747,1306
0,84,75,3807,14466,21157,20459,5311,8265,2743,1709
0,67,69,125249,76566,18130,3904,5313,4936,3884,3856
0,40,74,110158,55763,4462,31732,4320,2818,2422,1013
0,40,43,2832966,457499,7739,13610,24877,28322,9586,4623
0,30,30,135269,78412,18236,20703,11443,7909,3672,3343
0,37,29,171076,27946,3894,3249,2159,2706,2102,863
0,47,37,145710,9389,7645,9649,3883,2283,3695,1789
0,67,57,14505,21520,22821,16793,16300,27043,4995,9418
0,70,53,234277,58758,1435,14648,11775,7544,9980,7609
0,83,56,402293,23998,7331,5602,8380,9019,5201,4925
0,91,53,61218,7098,7882,3085,3551,3334,1493,3338
0,75,53,7302,33005,10453,8163,1165,4480,14792,2373
0,77,66,57846,27901,35643,19441,16414,9300,4950,8896
0,74,77,29723,17999,30364,9475,5486,9589,8897,3709
0,77,74,10405,22733,17618,8223,10622,12689,11295,5261
0,83,67,40105,45026,6574,10742,15934,12173,6097,4803
0,70,47,118077,251057,15435,7590,5892,9332,5757,3053
0,60,40,88176,34665,2867,17477,2741,2993,2145,1380
0,53,47,35545,7975,4042,22407,8022,5900,3455,6585
0,48,63,46091,16596,54976,7801,10819,7328,2473,3443
0,66,77,8009,8492,5713,9516,27085,4906,5317,3756
0,78,74,165681,24250,14830,1903,21438,6646,4520,4551
0,78,63,67392,8863,1227,3244,2127,2199,2013,1056
0,80,61,9093,11280,16458,19649,8090,5763,9100,2496
0,66,64,30185,29316,15282,7559,7925,2848,3275,5403
0,60,66,15736,56333,29720,9192,26241,6854,5849,6704
0,56,80,33826,2653,17148,1573,6736,2325,2621,860
0,57,67,27319,33984,12749,7589,16123,8956,5759,10111
0,70,60,634592,36793,16182,6744,41976,12861,6196,3111
0,75,70,15583,26226,80989,9757,10487,12487,7294,6610
0,75,63,41062,41151,29966,17841,15321,9371,6416,5264
0,69,67,28799,70878,30096,11919,4935,10573,5179,4338
0,64,70,81277,9962,2281,3355,1361,2224,1784,681
0,64,56,26198,56058,2390,21903,18019,7363,2688,4672
0,61,51,643777,66378,19868,20696,23012,9676,10725,10281
0,66,40,778582,59237,2856,7042,11969,12044,7762,5806
0,66,51,8465,25121,62550,3663,6926,12614,6986,3966
0,64,61,31577,34867,26481,24571,10873,7085,6455,3137
0,69,61,110572,10976,631,5799,4098,2476,2914,1463
0,77,67,35759,29022,2635,8875,9359,10376,3203,2968
0,69,50,406258,94715,16750,9290,20719,8450,5626,4371
0,70,43,37478,43926,15703,24313,18504,8937,3571,3430
0,84,50,12030,12563,27049,12964,16408,22691,8300,8591
0,80,44,266760,88409,8568,7796,18412,17338,7925,8515
0,74,47,104994,13654,2444,1319,854,778,1639,2215
0,75,57,58925,15686,62014,18997,9261,11915,7407,6015
0,66,47,50748,44279,13957,1313,19832,13669,3378,4692
0,57,47,159681,17347,1661,1017,2029,1593,1322,1080
0,66,57,24143,49445,38669,23423,12489,11227,5867,3886
0,66,47,108870,8283,2962,3646,1444,1672,1823,1133
0,66,48,20116,43142,6947,8606,14428,14712,7533,4096
0,66,66,46502,12228,8199,11038,2299,2697,1767,3322
0,69,66,265589,5040,4836,6781,4149,2286,1519,1088
0,87,61,13608,15359,4722,8406,15180,12428,8769,5920
0,70,60,183714,79767,2292,15960,11741,6461,7749,5348
0,80,57,107885,4942,5389,3671,2119,2236,1202,2072
0,87,57,15246,12496,13287,21972,13747,12000,6901,4494
0,81,69,12008,4417,22224,6336,8781,9217,10332,4901
0,96,77,31615,12181,4193,9007,13369,6429,5857,4105
0,94,75,92540,8163,5444,7840,3322,3299,3060,1505
0,77,78,24349,35441,55249,14190,17341,5416,3922,6741
0,54,60,101115,49921,7974,899,5969,2182,1749,1152
0,48,70,111521,10265,18380,12232,3461,5971,7564,6623
0,50,74,10803,19113,18395,16925,6322,9148,9979,8021
0,57,63,107598,20312,4856,5345,2046,3240,2381,1105
0,60,81,25352,35395,55372,4090,10556,4507,9353,4002
0,64,70,27237,19589,5775,13380,10609,8239,7298,5989
0,63,74,7792,1837,11416,7714,13247,2887,3436,3513
0,66,69,15378,38953,7113,8591,7071,7858,3334,2790
0,61,51,1408665,233974,31266,3971,32551,8711,5669,7763
0,54,37,65131,64152,2043,5515,5643,7817,1308,1739
0,57,34,23558,27722,37968,11435,25519,14511,7026,10258
0,70,30,30316,25173,4219,7503,4189,20511,4211,4362
0,74,34,228223,58568,1984,8073,1619,2316,2677,1445
0,67,43,27032,63498,22405,6243,7550,6382,9405,6757
0,64,41,9985,23768,18765,2903,2874,6973,9322,5526
0,56,53,26179,12685,19122,8010,7478,9842,6064,11273
0,64,53,1264622,441934,12720,62435,77780,38868,68471,50841
0,67,61,679482,73192,55378,47470,22578,14546,37852,8270
0,53,57,1361720,180337,70922,19761,17922,12093,7858,8374
0,27,43,38312,62340,6833,4902,4517,2144,2701,3258
0,40,54,139904,33997,11018,18893,15412,13007,19271,10715
0,40,51,87864,5271,7545,2215,8042,1415,1899,771
0,27,38,2200847,765929,55038,22172,17985,9892,5483,5527
0,54,48,124201,32902,24712,13176,12931,24447,4558,4263
0,63,53,142722,1997,1913,7383,4862,4978,1690,1709
0,60,56,172219,16797,15858,5454,3470,2981,2183,1019
0,93,75,11766,18326,26855,3670,6829,11895,5313,7443
0,80,84,41821,24432,60444,11892,11254,8257,4714,5317
0,56,81,83513,48259,24382,13965,10999,4269,6726,5544
0,57,75,64069,10661,4435,3430,4943,1638,2498,1889
0,57,74,20864,17062,13980,10427,4917,11999,3729,2409
0,66,60,319651,49877,16893,8634,9704,14751,8079,6973
0,74,60,59918,25388,10913,18370,17820,5630,4187,4016
0,78,56,74962,10911,3355,1845,3855,2236,1056,2543
0,80,51,16453,22068,14371,4095,15874,11322,4822,5811
0,81,44,15556,38004,3091,5047,6020,10107,7271,2359
0,81,43,24598,23362,12447,9393,12031,4295,4218,3836
0,88,41,77650,5983,1028,1328,3847,2334,994,1052
0,77,44,17576,46910,35680,5786,8761,8998,6015,4265
0,78,47,7873,15337,1792,2439,7626,5056,7393,2978
0,70,56,63505,33455,79725,4849,13036,5974,8191,4049
0,64,60,941475,122648,35097,17091,14758,24834,16754,3509
0,66,57,87335,8456,4084,3381,3715,2058,2790,735
0,60,77,29866,18080,8986,38592,7837,9878,4070,3789
0,67,66,41072,29117,19408,6412,9523,5546,3637,4097
0,51,74,147716,44801,32672,2700,3786,2729,1336,1331
0,64,77,10047,8765,21152,9847,13466,15461,3535,5784
0,67,56,42956,100796,10618,4014,10432,21617,7065,7194
0,69,54,31772,17261,7985,6544,5866,3626,1566,965
0,75,50,2937093,123110,37557,26119,14498,10958,10600,3837
0,60,56,46585,36210,64773,9813,2996,11539,1737,2018
0,53,60,19004,37401,5961,1705,6077,4176,7365,3251
0,56,54,18459,35727,11300,5404,14413,8109,4995,3221
0,74,57,10258,15905,15264,10226,7220,11242,5431,6352
0,78,60,15596,8798,9696,25054,6194,6668,3150,3992
0,90,61,14278,20694,2893,5117,8007,8844,4261,2379
0,100,66,19903,13901,17413,7156,13737,15192,2831,8277
0,100,69,14916,15335,25637,8685,9495,12829,8422,4046
0,100,61,16915,10876,23309,12454,30980,10296,8479,5510
0,100,80,13834,9449,32437,11317,4410,10527,3229,6047
0,100,77,14592,15474,11479,6550,8345,22077,5531,3867
0,100,69,24387,16358,10685,5344,8051,15189,3220,5051
0,100,66,12244,26530,13360,3376,7541,4544,4740,5739
0,97,56,12709,30845,16631,10321,7450,8907,4127,4499
0,81,63,3042,38199,29343,20913,6948,12940,7839,3488
0,75,66,15624,16914,7604,10556,6434,9131,3009,2402
0,67,77,5674,18032,21118,36354,13449,4999,3397,4167
0,77,66,9195,50037,6540,6389,7851,23648,5478,4197
0,66,66,40968,25150,40041,2687,16866,4343,6136,3600
0,56,77,6674,26262,68192,1942,13527,7902,1959,5348
0,64,67,24328,29540,21955,13712,15683,8497,3612,6077
0,57,87,6739,9531,15219,22404,8198,8681,5875,6215
0,67,83,11139,22842,8554,17143,11825,7105,6196,2098
0,67,77,13684,46713,7522,34271,3842,8103,3398,5099
0,77,69,579202,51025,17208,5850,6400,21476,4012,4569
0,83,61,17829,17219,21789,6936,16707,16838,4942,3748
0,84,57,64414,10754,4282,1637,460,2845,1356,1335
0,81,54,5464,69564,17132,16351,6434,7411,4553,1312
0,75,63,56214,16997,13934,11730,7839,6935,6498,3487
0,74,57,14076,17661,6334,3826,1441,8044,1774,5109
0,74,57,441405,68811,39519,5744,19621,19618,26906,11528
0,87,60,85433,5616,1227,6203,6385,3179,2319,4186
0,100,40,317560,19968,1469,2614,4988,27285,14067,17262
0,100,41,46087,15709,15594,9006,16196,25924,6894,7428
0,100,41,18841,36165,984,34215,30269,16984,18895,6711
0,100,44,50956,10173,17610,3390,6922,12156,10287,5099
0,83,64,20850,14175,4508,22530,14496,7571,8726,11217
0,64,70,3018,55609,22878,47253,6348,12755,7739,7099
0,70,69,7679,23400,6189,10573,11471,17206,6394,4653
0,61,67,292823,46817,14734,24499,10284,10741,5558,5594
0,61,67,10027,28758,32766,11765,10364,13076,12612,9362
0,81,54,16742,15770,3253,6472,7904,22014,9614,4355
0,77,57,19143,31317,7239,19233,10947,14822,5742,9506
0,91,53,20536,29329,10065,18684,14743,38663,5086,6935
0,93,54,5623,13348,20305,12497,10288,10322,12718,6416
0,91,61,12829,10790,2430,10605,7127,14380,6043,6452
0,94,61,40777,27215,18075,7701,10093,18160,5598,7262
0,83,70,20414,19045,16258,32400,9017,13462,8389,7651
0,87,64,12945,14945,15165,4961,9238,11262,3495,3344
0,77,77,8419,9106,17523,17996,6964,8842,8300,5715
0,53,66,101071,32524,3310,1565,2144,1399,2124,884
0,53,63,22115,19181,10767,16503,8900,7451,4688,3815
0,34,56,212153,176116,35794,14768,5115,8307,7375,4348
0,38,44,120642,5356,2368,4318,8240,3961,2087,3201
0,44,50,128125,80776,11146,10772,2913,6661,1778,2585
0,63,43,68828,1968,1546,1131,520,4621,846,1809
0,78,50,9976,35740,23279,6076,2405,13384,16683,8313
0,75,50,35141,28193,9742,4995,2689,10714,5334,10908
0,81,54,61388,23254,8988,4271,1693,4461,1301,4544
0,56,51,91938,13718,1228,2670,2815,1393,3660,1021
0,53,53,18278,31652,25787,21392,17218,11627,10818,3270
0,60,47,11856,22388,2168,7025,12543,16540,11027,6123
0,67,41,275693,158807,20805,53270,92313,68697,18263,10382
0,77,53,56395,5056,3410,4894,4783,2124,1601,1032
0,87,47,73890,14626,5016,5040,1419,10781,2005,1089
0,78,60,73286,30314,14982,28542,6920,19959,7012,6581
0,70,66,14819,39055,22481,14024,13772,11880,9019,3594
0,70,57,9753,60988,20362,3136,6194,13458,10886,8683
0,69,64,26200,27953,42116,18422,9044,29184,5901,4574
0,64,60,42710,87583,30562,23187,16285,21422,12653,5245
0,66,56,36906,29920,6258,9239,7238,7267,16757,4546
0,61,57,12036,31339,3897,12391,6827,5067,6572,4554
0,63,56,19632,21226,17699,16269,13478,23361,5640,3737
0,66,64,72686,4716,8127,6757,5564,3806,2013,1761
0,64,75,9976,28008,19612,30191,7913,11259,6103,5064
0,74,78,19805,28655,26085,8683,16301,16863,3869,2593
0,64,81,22619,40808,64643,12847,22303,19867,10810,5521
0,61,70,29775,33367,7695,16478,17197,8882,3958,5487
0,60,60,17817,48353,6421,11322,4945,7188,3926,3197
0,63,54,3657,15853,7361,6575,13412,12029,2389,4314
0,66,47,13961,33284,12344,5160,6335,12364,8583,3150
0,70,48,15027,25214,16994,6784,14913,10628,4313,7751
0,69,66,18716,10610,48047,6108,5989,6153,3550,6520
0,57,74,18793,82030,60725,26692,21343,19928,14848,4936
0,51,80,47360,31381,23530,24481,9047,10910,11703,4887
0,38,78,10950,90604,33137,8047,13084,8393,8205,6370
0,37,63,120802,9232,5901,2769,8942,1713,4434,2068
0,30,54,10346,91474,22759,15864,23837,9114,4041,7537
0,26,48,38866,50824,18778,10815,20255,6271,4971,2928
0,26,50,116188,16277,4587,4948,4571,1585,2622,1376
0,27,41,21813,69109,5252,13061,16632,8325,12306,9367
0,40,47,27326,21925,10056,14717,18197,11442,4189,5198
0,38,53,26505,36146,20003,32575,17744,6090,8922,2960
0,41,57,85423,41598,40326,12084,14665,7035,12361,3482
0,48,60,6800,43877,8660,8327,17127,12387,17842,4772
0,44,61,43496,57448,44172,7186,5295,16545,6486,4895
0,56,66,625518,22294,73307,17784,16005,23560,6335,4102
0,67,56,14039,43471,3752,11917,6391,14305,5466,11288
0,66,63,17997,37650,12551,21720,13689,13294,5095,5623
0,64,66,11700,16495,24638,8727,16888,7264,10591,7963
0,66,54,67375,16201,11522,7829,24275,8940,8055,4483
0,63,63,7467,11548,10697,10861,21606,5183,5899,5173
0,70,64,56640,12800,14489,8314,2798,15577,4266,2971
0,78,56,42819,14983,6076,8032,13971,7818,13211,3567
0,80,63,16510,11460,15879,12319,10247,11372,3194,3766
0,84,66,4950,6687,13208,4195,8635,5795,4609,4160
0,75,74,43501,9595,25141,11992,9859,7957,6827,2521
0,56,75,499696,155800,72899,7389,12529,10384,10814,5951
0,64,67,11199,12339,8328,4657,3283,15751,10777,4253
0,66,66,9427,6677,5669,9887,9708,6371,2907,4028
0,53,60,41202,59117,29633,23517,12123,5185,5721,2871
0,67,64,4072,18807,20455,13540,14850,10148,6275,4674
0,57,69,9533,5724,8048,8180,12283,5617,9223,2461
0,54,70,8861,10330,15909,11994,17036,7404,9920,6063
0,54,74,162958,54658,26361,34127,7329,6010,5540,2858
0,63,66,10162,15488,4231,8680,5642,12199,3242,4294
0,54,60,17284,48026,7636,14021,5414,8166,6991,4545
0,50,56,26212,55488,28650,9487,4671,11791,5388,5374
0,70,51,3510,12732,5404,13642,15229,12461,5296,3283
0,50,63,28691,53338,67398,19118,9044,7231,5976,2367
0,57,74,8671,15742,23507,13561,10535,11739,5283,5303
0,54,70,30821,33630,13992,11909,11305,5749,3931,1829
0,44,75,60974,8466,2539,7285,2499,2736,1400,731
0,51,70,4763,17467,22524,9667,10418,5413,3878,6505
0,50,74,9435,7756,39310,4344,12308,10122,5802,2705
0,47,69,91882,19126,4431,3940,3758,1710,510,358
0,47,77,14406,3532,30838,4208,15836,6282,7964,7679
0,41,64,16546,107367,18849,12161,9195,8156,10455,3759
0,26,61,19595,44148,38686,18800,7169,4867,10503,4204
0,40,70,19763,13493,24726,11867,8868,10742,3427,5781
0,34,61,809770,40467,7146,13429,5978,5432,6196,3740
0,38,75,10569,21501,37353,13294,13639,6756,5403,3039
0,38,80,27552,19952,39099,6374,4860,3441,3477,3489
0,30,80,5921,15431,22422,19146,24072,5283,7141,1948
0,26,74,27146,70399,10990,5792,2899,4726,8074,11283
0,27,75,2026290,63864,97277,42929,8515,21787,7131,2833
0,30,77,7982,44594,117782,13233,16015,12325,2366,3428
0,38,78,7747,4700,23134,5565,13528,6815,3402,1407
0,48,84,31255,20760,9279,9967,13657,6390,3672,2729
0,51,78,24459,45581,27337,29381,17662,14393,6326,2794
0,47,60,79861,41028,9773,3352,3095,2182,1098,983
0,43,48,108368,71432,42319,4877,44748,15404,12618,3445
0,40,53,13975,29928,19645,24729,13762,8754,5213,4611
0,35,57,16646,42619,63147,22707,15669,11218,6178,4356
0,43,63,18777,71766,17968,24850,21657,10037,4913,5424
0,47,77,23698,27096,60087,7904,4534,14463,2060,4217
0,50,83,33896,15961,32807,36930,8489,13562,8012,2942
0,50,81,9801,49842,57772,17931,25887,11259,8591,3228
0,50,90,9203,26392,12718,33842,15415,6489,5412,3594
0,48,81,73428,23506,14780,16464,21443,7549,4923,2798
0,44,63,12933,41440,2554,11445,2794,6514,4233,1812
0,41,56,23280,76160,30865,17517,29055,8795,7001,7910
0,40,48,26041,41917,7786,17551,11035,4947,2794,1475
0,44,41,86620,31993,9069,6077,9446,11918,3016,1506
0,48,53,27934,29553,41879,11093,4789,12790,2801,2476
0,44,61,17677,21666,24031,12572,10327,3164,4901,1688
0,37,61,133221,18106,7114,2661,3066,705,1010,333
0,26,64,34321,59720,18668,15863,24496,8673,2908,1685
0,23,61,25231,19482,6124,15073,5390,4523,1987,1379
0,27,53,17524,26802,12566,7326,15120,3694,8377,1259
0,41,63,5352,16049,28343,8533,7135,5622,1697,3166
0,50,66,8052,19580,14936,15445,21411,9561,2877,1157
 
byte data[] = { 
0,50,40,
0,83,60,
0,97,60,
0,91,66,
0,84,75,
0,67,69,
0,40,74,
0,40,43,
0,30,30,
0,37,29,
0,47,37,
0,67,57,
0,70,53,
0,83,56,
0,91,53,
0,75,53,
0,77,66,
0,74,77,
0,77,74,
0,83,67,
0,70,47,
0,60,40,
0,53,47,
0,48,63,
0,66,77,
0,78,74,
0,78,63,
0,80,61,
0,66,64,
0,60,66,
0,56,80,
0,57,67,
0,70,60,
0,75,70,
0,75,63,
0,69,67,
0,64,70,
0,64,56,
0,61,51,
0,66,40,
0,66,51,
0,64,61,
0,69,61,
0,77,67,
0,69,50,
0,70,43,
0,84,50,
0,80,44,
0,74,47,
0,75,57,
0,66,47,
0,57,47,
0,66,57,
0,66,47,
0,66,48,
0,66,66,
0,69,66,
0,87,61,
0,70,60,
0,80,57,
0,87,57,
0,81,69,
0,96,77,
0,94,75,
0,77,78,
0,54,60,
0,48,70,
0,50,74,
0,57,63,
0,60,81,
0,64,70,
0,63,74,
0,66,69,
0,61,51,
0,54,37,
0,57,34,
0,70,30,
0,74,34,
0,67,43,
0,64,41,
0,56,53,
0,64,53,
0,67,61,
0,53,57,
0,27,43,
0,40,54,
0,40,51,
0,27,38,
0,54,48,
0,63,53,
0,60,56,
0,93,75,
0,80,84,
0,56,81,
0,57,75,
0,57,74,
0,66,60,
0,74,60,
0,78,56,
0,80,51,
0,81,44,
0,81,43,
0,88,41,
0,77,44,
0,78,47,
0,70,56,
0,64,60,
0,66,57,
0,60,77,
0,67,66,
0,51,74,
0,64,77,
0,67,56,
0,69,54,
0,75,50,
0,60,56,
0,53,60,
0,56,54,
0,74,57,
0,78,60,
0,90,61,
0,100,66,
0,100,69,
0,100,61,
0,100,80,
0,100,77,
0,100,69,
0,100,66,
0,97,56,
0,81,63,
0,75,66,
0,67,77,
0,77,66,
0,66,66,
0,56,77,
0,64,67,
0,57,87,
0,67,83,
0,67,77,
0,77,69,
0,83,61,
0,84,57,
0,81,54,
0,75,63,
0,74,57,
0,74,57,
0,87,60,
0,100,40,
0,100,41,
0,100,41,
0,100,44,
0,83,64,
0,64,70,
0,70,69,
0,61,67,
0,61,67,
0,81,54,
0,77,57,
0,91,53,
0,93,54,
0,91,61,
0,94,61,
0,83,70,
0,87,64,
0,77,77,
0,53,66,
0,53,63,
0,34,56,
0,38,44,
0,44,50,
0,63,43,
0,78,50,
0,75,50,
0,81,54,
0,56,51,
0,53,53,
0,60,47,
0,67,41,
0,77,53,
0,87,47,
0,78,60,
0,70,66,
0,70,57,
0,69,64,
0,64,60,
0,66,56,
0,61,57,
0,63,56,
0,66,64,
0,64,75,
0,74,78,
0,64,81,
0,61,70,
0,60,60,
0,63,54,
0,66,47,
0,70,48,
0,69,66,
0,57,74,
0,51,80,
0,38,78,
0,37,63,
0,30,54,
0,26,48,
0,26,50,
0,27,41,
0,40,47,
0,38,53,
0,41,57,
0,48,60,
0,44,61,
0,56,66,
0,67,56,
0,66,63,
0,64,66,
0,66,54,
0,63,63,
0,70,64,
0,78,56,
0,80,63,
0,84,66,
0,75,74,
0,56,75,
0,64,67,
0,66,66,
0,53,60,
0,67,64,
0,57,69,
0,54,70,
0,54,74,
0,63,66,
0,54,60,
0,50,56,
0,70,51,
0,50,63,
0,57,74,
0,54,70,
0,44,75,
0,51,70,
0,50,74,
0,47,69,
0,47,77,
0,41,64,
0,26,61,
0,40,70,
0,34,61,
0,38,75,
0,38,80,
0,30,80,
0,26,74,
0,27,75,
0,30,77,
0,38,78,
0,48,84,
0,51,78,
0,47,60,
0,43,48,
0,40,53,
0,35,57,
0,43,63,
0,47,77,
0,50,83,
0,50,81,
0,50,90,
0,48,81,
0,44,63,
0,41,56,
0,40,48,
0,44,41,
0,48,53,
0,44,61,
0,37,61,
0,26,64,
0,23,61,
0,27,53,
0,41,63,
0,50,66, 
}; // data (277 records, 831 bytes)

 
 
 */





// the end.



